G'Mic dans Flatpak Gimp 2.10.18 dans Ubuntu 18.04

Bonjour,
J’utilise Ubuntu 18.04 LTS.
J’ai installé Gimp 2.10.18 avec Flatpak parce Otto Kesselgulasch ne fournit pas les ppa pour cette mise à jour.
Je n’arrive pas à installer G’Mic.
Comment puis-je faire ?
Merci d’avance.
Cordialement.
**********Traduction Google :
Hello,
I am using Ubuntu 18.04 LTS.
I installed Gimp 2.10.18 with Flatpak because Otto Kesselgulasch does not provide the PPPs for this update.
I can’t install G’Mic.
How can I do ?
Thank you in advance.
Cordially.

Bonjour,

Comme je vous l’ai dit sur Twitter, je ne connais actuellement aucun moyen de faire fonctionner le plug-in G’MIC-Qt pour la version Flatpack de GIMP.
Les bibliothèques encapsulées dans le Flatpack sont incompatibles avec les binaires du plug-in que nous distribuons sur notre site.
Le seul moyen serait de pouvoir compiler le plug-in G’MIC-Qt dans le même environnement que celui dans lequel GIMP pour Flatpack a été compilé, et à part les créateurs de ce Flatpack, je ne vois pas trop qui pourrait réussir à réaliser ça facilement.


As I told you on Twitter, I currently don’t know of any way to get the G’MIC-Qt plug-in to work for the Flatpack version of GIMP.
The libraries encapsulated in the Flatpack are incompatible with the binaries of the plug-in that we distribute on our site.
The only way would be to be able to compile the G’MIC-Qt plug-in in the same environment in which GIMP for Flatpack was compiled, and apart from the creators of this Flatpack, I don’t see who could manage to do this easily.

Bonjour,
Je vous remercie de votre réponse.
« Comme je vous l’ai dit sur Twitter, je ne connais actuellement aucun moyen de faire fonctionner le plug-in G’MIC-Qt pour la version Flatpack de GIMP ».
Certes !
Mais je dois avouer que je ne maîtrise pas Tweeter et… que je ne suis pas complètement à l’aise en anglais. C’est pourquoi j’ignorais ce que vous aviez dit.
« Les bibliothèques encapsulées dans le Flatpack sont incompatibles avec les binaires du plug-in que nous distribuons sur notre site ».
Voilà qui est contrariant !
« Le seul moyen serait de pouvoir compiler le plug-in G’MIC-Qt dans le même environnement que celui dans lequel GIMP pour Flatpack a été compilé, et à part les créateurs de ce Flatpack, je ne vois pas trop qui pourrait réussir à réaliser ça facilement ».
Oui.
On va dire…
Sauf que ceux qui ont la compétence de faire ça ne courent pas les rues.
De votre côté peut-être pourriez-vous sortir du contexte « plug-in » et proposer un logiciel indépendant avec une interface graphique ? Pourquoi pas en reprenant un logiciel existant que vous débarrasseriez de la plupart des fonctions qui ne sont pas les vôtres ?
************Traduction Google
Hello,
Thank you for your reply.
“As I told you on Twitter, I currently don’t know of any way to make the G’MIC-Qt plug-in work for the Flatpack version of GIMP.”
Certainly !
But I must admit that I do not master Tweeter and … that I am not completely comfortable in English. That’s why I didn’t know what you said.
“The libraries encapsulated in the Flatpack are incompatible with the binaries of the plug-in that we distribute on our site”.
This is annoying!
"The only way would be to be able to compile the G’MIC-Qt plug-in in the same environment as that in which GIMP for Flatpack was compiled, and apart from the creators of this Flatpack, I don’t really see who could succeed in do this easily. "
Yes.
We’ll say…
Except that those who have the competence to do that do not run the streets.
On your side perhaps you could leave the context “plug-in” and propose an independent software with a graphic interface? Why not take over existing software and get rid of most of the functions that are not yours?

Notre plug-in est effectivement disponible sous forme d’un logiciel indépendant gmic_qt, que vous pouvez installer à partir du paquet Ubuntu 18.04, disponible ici : https://www.fosshub.com/GMIC.html?dwl=gmic_2.8.4_ubuntu_bionic_amd64.deb

Ensuite, il vous suffit de lancer ‘gmic_qt’ depuis la console pour y accéder.